Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.spring
Class SpringConfigurator

    java.lang.Object
      org.directwebremoting.spring.SpringConfigurator

All Implemented Interfaces:
  Configurator

    public class SpringConfigurator

extends java.lang.Object
implements Configurator

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`SpringConfigurator()`

Method Summary
`void` | `configure(Container container)` Do the Configuration actions
`java.lang.String` | `getSignatures()`
`void` | `setConverters(java.util.Map converters)` Setter for the map of real Converter
`void` | `setConverterTypes(java.util.Map converterTypes)` Setter for the map of Converter types
`void` | `setCreators(java.util.Map creators)` Setter for the map of real Creators
`void` | `setCreatorTypes(java.util.Map creatorTypes)` Setter for the map of Creator types
`void` | `setSignatures(java.lang.String signatures)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringConfigurator

    public SpringConfigurator()

Method Detail

### configure

    public void configure(Container container)

  Description copied from interface: `Configurator`
  Do the Configuration actions

  Specified by:
    `configure` in interface `Configurator`
  Parameters:
    `container` - The object that contains the system objects to configure

### setCreatorTypes

    public void setCreatorTypes(java.util.Map creatorTypes)

  Setter for the map of Creator types

  Parameters:
    `creatorTypes` - The new creator types map

### setConverterTypes

    public void setConverterTypes(java.util.Map converterTypes)

  Setter for the map of Converter types

  Parameters:
    `converterTypes` - The new creator types map

### setCreators

    public void setCreators(java.util.Map creators)

  Setter for the map of real Creators

  Parameters:
    `creators` - The new creator map

### setConverters

    public void setConverters(java.util.Map converters)

  Setter for the map of real Converter

  Parameters:
    `converters` - The new creator map

### setSignatures

    public void setSignatures(java.lang.String signatures)

  Parameters:
    `signatures` - the signatures to set

### getSignatures

    public java.lang.String getSignatures()

  Returns:
    the signatures

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD